Bug 108406 - LibO (since 5.4.x) shows a broken helpimg icon theme in options
Summary: LibO (since 5.4.x) shows a broken helpimg icon theme in options
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.0.beta1
Hardware: All All
: highest critical
Assignee: Andreas Brandner
URL:
Whiteboard: target:6.0.0 target:5.4.2 target:5.4.3
Keywords:
: 108842 110454 112415 113542 (view as bug list)
Depends on:
Blocks: Icon-Themes Options-Dialog-View
  Show dependency treegraph
 
Reported: 2017-06-08 07:19 UTC by Hussam Al-Tayeb
Modified: 2017-12-06 10:42 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2017-06-08 07:19:49 UTC
Tools -> Options -> LibreOffice -> View.
Look for the 'helpimg' icon theme under 'icon style'.
This particular icon theme seems broken outside the help viewer. It probably shouldn't show here. Selecting it makes the regular writer/calc miss toolbar icons.
Comment 1 Katarina Behrens (CIB) 2017-06-08 20:02:16 UTC
It's not an icon theme at all. It's a collection of images used in help files, so ye, it shouldn't show there
Comment 2 Mihkel Tõnnov 2017-06-08 21:09:55 UTC
Confirmed. With a recently reset profile, 5.4 b2 now even set Helpimg as default icon theme (up until 5.4 b1 it was Oxygen, which is now not even listed in the options).
Mageia 5 x64, RPMs from TDF.
Comment 3 Gabor Kelemen 2017-06-29 18:34:01 UTC
*** Bug 108842 has been marked as a duplicate of this bug. ***
Comment 4 Hussam Al-Tayeb 2017-07-28 11:18:57 UTC
Libreoffice 5.4 was release containing this bug. Is it possible that someone can take look at this for 5.4.1?
Thank you.
Comment 5 Jean-Baptiste Faure 2017-08-03 07:05:25 UTC
*** Bug 110454 has been marked as a duplicate of this bug. ***
Comment 6 V Stuart Foote 2017-08-03 12:42:16 UTC
Not broken, just no fall-back for the helpimg icon set when it gets selected as an icon theme.

It probably should be excluded from the imagetree and not show for selection, but since it is it needs a fallback--to Galaxy? That way at least the GUI won't go empty of icons.

https://opengrok.libreoffice.org/xref/core/vcl/source/image/ImplImageTree.cxx?a=true#270

@Tomaž, bubli?
Comment 7 Jean-Baptiste Faure 2017-08-04 19:38:21 UTC
*** Bug 111335 has been marked as a duplicate of this bug. ***
Comment 8 Tomaz Vajngerl 2017-08-19 16:18:23 UTC
Hm.. why is it even there..? I never saw helpimg - what's this? what's the file name?
Comment 9 V Stuart Foote 2017-08-19 20:36:24 UTC
(In reply to Tomaz Vajngerl from comment #8)
> Hm.. why is it even there..? I never saw helpimg - what's this? what's the
> file name?

Part of the work on offline help... see:

https://gerrit.libreoffice.org/#/c/31417/
Comment 10 Katarina Behrens (CIB) 2017-09-06 13:39:54 UTC
Code pointers: 

cui/source/options/optgdlg.cxx, class OfaViewTabPage, variable for "Icon Style" listbox. It is populated w/ items in constructor with items from 'mInstalledIconThemes' member variable

To fix the bug: 
* either exclude 'helpimg' theme from mInstalledIconThemes in this class
* or do it 1 level up in vcl::StyleSettings (vcl/source/app/settings.cxx)
Comment 11 Katarina Behrens (CIB) 2017-09-06 13:40:23 UTC
Others: please don't take this bug, I'm using it for training purpose. Thank you
Comment 12 Xisco Faulí 2017-09-07 08:15:19 UTC
Moving to ASSIGNED then...
Comment 13 Commit Notification 2017-09-09 21:33:20 UTC
Andreas Brandner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60adba3fb904ed66251ff39c82fe20bec151ef0b

tdf#108406 offline help-images helpimg are no longer selectable as iconset

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Hussam Al-Tayeb 2017-09-10 12:10:44 UTC
Thank you very much for the fix.
Will you be backporting this to 5-4 branch?
Comment 15 Katarina Behrens (CIB) 2017-09-10 17:24:20 UTC
> Will you be backporting this to 5-4 branch?

Of course
Comment 16 Commit Notification 2017-09-11 07:25:12 UTC
Andreas Brandner committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73e91d3652bbe4cf942464f9a6c582b574d578d1&h=libreoffice-5-4

tdf#108406 offline help-images helpimg are no longer selectable as iconset

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 V Stuart Foote 2017-09-15 22:43:37 UTC
*** Bug 112415 has been marked as a duplicate of this bug. ***
Comment 18 Rene Engelhard 2017-09-20 10:45:08 UTC
I believe this should be reopened.

It seems this fixes only the display of the theme in the options.

It doesn't fix that helpimg is detected and choosen as default theme. I can reproduce with both my 5.4.2 rc1 build and the TDF one.

But it's even worse:

- upstreams debs hang when trying to open Tools->Options->View
- my Debian build even "crash":m They show a "Fatal error" dialog box saying
"wrapped std::exception "Can not find theme id in theme vector".

So I believe there should be a fix in VCL to not even detect it.

How to reproduce:

Install LO. Either
- from 5.4.2 TDF debs. Then rm images_*.zip except galaxy and helpimh
- install the Debian debs from  http://www.rene-engelhard.de/~rene/libreoffice/5.4/. apt-get install libreoffice suffices. That just installs -style-galaxy. (images_helpimg.zip) is in -common.

This is always reproducible, even with a clean profile and goes away when
dowgrading back to 5.4.1
Comment 19 Rene Engelhard 2017-09-20 10:45:52 UTC
I also believe the comitted fix should be reverted, in master and libreoffice-5-4, but _especially_in libreoffice-5-4-2....
Comment 20 Katarina Behrens (CIB) 2017-09-20 21:32:07 UTC
Patch up for review: https://gerrit.libreoffice.org/#/c/42545/
Comment 21 Commit Notification 2017-09-25 11:11:38 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e7b9652f44f01fbaf5bc3fde454ba41ce0fe0f7

Different take on tdf#108406: exclude helpimg from installed themes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2017-10-17 18:21:20 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7b35fc5a86e398c3bb09a4f50ad2060dfcc6d83&h=libreoffice-5-4

Different take on tdf#108406: exclude helpimg from installed themes

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Xisco Faulí 2017-10-31 06:53:29 UTC
*** Bug 113542 has been marked as a duplicate of this bug. ***
Comment 24 Xisco Faulí 2017-12-05 10:49:49 UTC
> How to reproduce:
> 
> Install LO. Either
> - from 5.4.2 TDF debs. Then rm images_*.zip except galaxy and helpimh
> - install the Debian debs from 
> http://www.rene-engelhard.de/~rene/libreoffice/5.4/. apt-get install
> libreoffice suffices. That just installs -style-galaxy. (images_helpimg.zip)
> is in -common.
> 
> This is always reproducible, even with a clean profile and goes away when
> dowgrading back to 5.4.1

Hi Rene,
Is this issue still reproducible in LibreOffice 5.4.3 ?
Comment 25 tommy27 2017-12-06 10:42:54 UTC
let's put this one in the NEEDINFO list waiting 4 feedback from Rene.